Subject: Re: CCL:Re: CCL:NCI SMILES Database

From: "Wolf-Dietrich Ihlenfeldt" <[email-masked]>
Date: Fri, 12 Sep 1997 11:34:40 -0600

On Sep 9, 22:14, Ray Crawford wrote:
> Subject: CCL:Re: CCL:NCI SMILES Database
>
> All,
>
> Marc C. Nicklaus & Bruno Bienfait raised an interesting point...  It is
> difficult to do string comparisons with SMILES...  Does anyone know of any
> utilities available that can do this quickly and painlessly?
>
> 	Thanks,
> 		Ray Crawford
> 		The P&G Co.
>

Sure. The CACTVS toolkit programs (which was used to create one of
the datasets) can read and compare SMILES-encoded structures.

Note however that this is not a string-level comparison but
operates on the decoded structures. Therefore, it is several
magnitudes slower than simple string matching (but probably
still fast enough for most applications).

The alternative is USMILES (Unique SMILES), a procedure
to generate a unique SMILES string, regardless of
the order of atoms in the structure etc. Unfortunately, as
far as I know, the precise mechanism to generate this
string is unpublished and proprietory to Daylight.
If I am wrong with this, I'd be interested in a reference.

-- 
Dr. Wolf-D. Ihlenfeldt
Computer Chemistry Center, University of Erlangen-Nuernberg
Naegelsbachstrasse 25, D-91052 Erlangen (Germany)
Tel (+49)-(0)9131-85-6579  Fax (+49)-(0)9131-85-6566
---
The three proven methods for ultimate success and fame:
1) Nakanu nara koroshite shimae hototogisu
2) Nakanu nara nakasete miseyou hototogisu
3) Nakanu nara naku made matou hototogisu